JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ARAFactoryWrapper Class Reference
juce_audio_processors » format_types

Encapsulates an ARAFactory pointer and makes sure that it remains in a valid state for the lifetime of the ARAFactoryWrapper object. More...

`#include <juce_ARACommon.h>`

## Public Member Functions
| ARAFactoryWrapper ()=default
| ARAFactoryWrapper (std::shared_ptr< const ARA::ARAFactory > factoryIn)
const ARA::ARAFactory * | get () const noexcept
| Returns the contained ARAFactory pointer, which can be a nullptr.

## Detailed Description

Encapsulates an ARAFactory pointer and makes sure that it remains in a valid state for the lifetime of the ARAFactoryWrapper object.

## Constructor & Destructor Documentation

## ◆ ARAFactoryWrapper() [1/2]

ARAFactoryWrapper::ARAFactoryWrapper | ( |  | ) |
| default

## ◆ ARAFactoryWrapper() [2/2]

ARAFactoryWrapper::ARAFactoryWrapper | ( | std::shared_ptr< const ARA::ARAFactory > | factoryIn | ) |
| explicit

## Member Function Documentation

## ◆ get()

const ARA::ARAFactory * ARAFactoryWrapper::get | ( |  | ) | const
| noexcept

Returns the contained ARAFactory pointer, which can be a nullptr.

The validity of the returned pointer is only guaranteed for the lifetime of this wrapper.

The documentation for this class was generated from the following file:

- juce_ARACommon.h